import React from 'react';
import Button from '../../CommonComponent/ButtonComponent/ButtonComponent'
require('./index.css');

export default class FinishTroubleComponent extends React.Component{
    constructor(props){
        super(props);
    }


    haveNext(){
        let props = this.props;
        props.changePages(CONFIG.showPage[2])
    }

    haveNoNext(){
        let props = this.props;
        props.changePages(CONFIG.showPage[4])
    }

    render(){
        return(
            <div className={"finishTroubleComponent "}>
                <div className={"selectText font40 col333"} style={{"marginTop":UTILPATH.getRemByPx(230)}}>出货板传送区、机械手平台、轨道是否有未出货遗留的货品</div>
                <div className={"selectButtons"}>
                    <Button text={"有"} option={this.haveNext.bind(this)} style={{"marginTop":UTILPATH.getRemByPx(128)}}/>
                    <Button text={"没有"} option={this.haveNoNext.bind(this)} style={{"marginTop":UTILPATH.getRemByPx(49)}}/>
                </div>
            </div>
        )
    }
}